
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SICK_SCAN_H
#define SICK_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomScan.h"

#include "server/genBasicScan.h"


/* Structures du module */
#include "sickPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_SICK_SEGS_POSTER_STR ( FILE *in, FILE *out,
       struct SICK_SEGS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_CONFIG_POSTER_STR ( FILE *in, FILE *out,
       struct SICK_CONFIG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SCANCART_POSTER_STR ( FILE *in, FILE *out,
       struct SICK_SCANCART_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SCANPOLAR_POSTER_STR ( FILE *in, FILE *out,
       struct SICK_SCANPOLAR_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_STR ( FILE *in, FILE *out,
       struct SICK_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_LONELY_PTS ( FILE *in, FILE *out,
       struct SICK_LONELY_PTS *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SEGS ( FILE *in, FILE *out,
       struct SICK_SEGS *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SEG_HEADER ( FILE *in, FILE *out,
       struct SICK_SEG_HEADER *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SEG_PARAMS ( FILE *in, FILE *out,
       struct SICK_SEG_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SEG ( FILE *in, FILE *out,
       struct SICK_SEG *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SAVE_FILE_PARAMS ( FILE *in, FILE *out,
       struct SICK_SAVE_FILE_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_enum_SICK_SAVE_MODE ( FILE *in, FILE *out,
       enum SICK_SAVE_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_sick_parser_control_str ( FILE *in, FILE *out,
       struct sick_parser_control_str *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_CART_MEASURES_STR ( FILE *in, FILE *out,
       struct SICK_CART_MEASURES_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_POLAR_MEASURES_STR ( FILE *in, FILE *out,
       struct SICK_POLAR_MEASURES_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_MEASURES_STR ( FILE *in, FILE *out,
       struct SICK_MEASURES_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_CART_MEASURES ( FILE *in, FILE *out,
       struct SICK_CART_MEASURES *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_POINT ( FILE *in, FILE *out,
       struct SICK_POINT *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_MEASURES_HEADER_STR ( FILE *in, FILE *out,
       struct SICK_MEASURES_HEADER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_SPEED_STR ( FILE *in, FILE *out,
       struct SICK_SPEED_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_sick_user_str ( FILE *in, FILE *out,
       struct sick_user_str *x, int indent, int nDim, int *dims );
extern int scan_struct_sick_config_str ( FILE *in, FILE *out,
       struct sick_config_str *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_baud_rate ( FILE *in, FILE *out,
       enum sick_baud_rate *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_measure_length_resolution ( FILE *in, FILE *out,
       enum sick_measure_length_resolution *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_scanning_angle_resolution ( FILE *in, FILE *out,
       enum sick_scanning_angle_resolution *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_scanning_angle_range ( FILE *in, FILE *out,
       enum sick_scanning_angle_range *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_scan_modes ( FILE *in, FILE *out,
       enum sick_scan_modes *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_control_modes ( FILE *in, FILE *out,
       enum sick_control_modes *x, int indent, int nDim, int *dims );
extern int scan_enum_sick_scan_task_state ( FILE *in, FILE *out,
       enum sick_scan_task_state *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_INIT_PARAMS ( FILE *in, FILE *out,
       struct SICK_INIT_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_EXPORT_DATA ( FILE *in, FILE *out,
       struct SICK_EXPORT_DATA *x, int indent, int nDim, int *dims );
extern int scan_enum_SICK_ACQUISITION_WAY ( FILE *in, FILE *out,
       enum SICK_ACQUISITION_WAY *x, int indent, int nDim, int *dims );
extern int scan_enum_SICK_FRAME ( FILE *in, FILE *out,
       enum SICK_FRAME *x, int indent, int nDim, int *dims );
extern int scan_struct_SICK_STRING ( FILE *in, FILE *out,
       struct SICK_STRING *x, int indent, int nDim, int *dims );
extern int scan_enum_SICK_BOOL ( FILE *in, FILE *out,
       enum SICK_BOOL *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_SICK_BOOL ( FILE *in, FILE *out,
       SICK_BOOL *x, int indent, int nDim, int *dims );
extern int scan_SICK_STRING ( FILE *in, FILE *out,
       SICK_STRING *x, int indent, int nDim, int *dims );
extern int scan_SICK_FRAME ( FILE *in, FILE *out,
       SICK_FRAME *x, int indent, int nDim, int *dims );
extern int scan_SICK_ACQUISITION_WAY ( FILE *in, FILE *out,
       SICK_ACQUISITION_WAY *x, int indent, int nDim, int *dims );
extern int scan_SICK_EXPORT_DATA ( FILE *in, FILE *out,
       SICK_EXPORT_DATA *x, int indent, int nDim, int *dims );
extern int scan_SICK_INIT_PARAMS ( FILE *in, FILE *out,
       SICK_INIT_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_SICK_SCAN_TASK_STATE ( FILE *in, FILE *out,
       SICK_SCAN_TASK_STATE *x, int indent, int nDim, int *dims );
extern int scan_SICK_CONTROL_MODES ( FILE *in, FILE *out,
       SICK_CONTROL_MODES *x, int indent, int nDim, int *dims );
extern int scan_SICK_SCAN_MODES ( FILE *in, FILE *out,
       SICK_SCAN_MODES *x, int indent, int nDim, int *dims );
extern int scan_SICK_SCANNING_ANGLE_RANGE ( FILE *in, FILE *out,
       SICK_SCANNING_ANGLE_RANGE *x, int indent, int nDim, int *dims );
extern int scan_SICK_SCANNING_ANGLE_RESOLUTION ( FILE *in, FILE *out,
       SICK_SCANNING_ANGLE_RESOLUTION *x, int indent, int nDim, int *dims );
extern int scan_SICK_MEASURE_LENGTH_RESOLUTION ( FILE *in, FILE *out,
       SICK_MEASURE_LENGTH_RESOLUTION *x, int indent, int nDim, int *dims );
extern int scan_SICK_BAUD_RATE ( FILE *in, FILE *out,
       SICK_BAUD_RATE *x, int indent, int nDim, int *dims );
extern int scan_SICK_CONFIG_STR ( FILE *in, FILE *out,
       SICK_CONFIG_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_USER_STR ( FILE *in, FILE *out,
       SICK_USER_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_SPEED_STR ( FILE *in, FILE *out,
       SICK_SPEED_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_MEASURES_HEADER_STR ( FILE *in, FILE *out,
       SICK_MEASURES_HEADER_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_POINT ( FILE *in, FILE *out,
       SICK_POINT *x, int indent, int nDim, int *dims );
extern int scan_SICK_CART_MEASURES ( FILE *in, FILE *out,
       SICK_CART_MEASURES *x, int indent, int nDim, int *dims );
extern int scan_SICK_MEASURES_STR ( FILE *in, FILE *out,
       SICK_MEASURES_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_POLAR_MEASURES_STR ( FILE *in, FILE *out,
       SICK_POLAR_MEASURES_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_CART_MEASURES_STR ( FILE *in, FILE *out,
       SICK_CART_MEASURES_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_PARSER_CONTROL_STR ( FILE *in, FILE *out,
       SICK_PARSER_CONTROL_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_SAVE_MODE ( FILE *in, FILE *out,
       SICK_SAVE_MODE *x, int indent, int nDim, int *dims );
extern int scan_SICK_SAVE_FILE_PARAMS ( FILE *in, FILE *out,
       SICK_SAVE_FILE_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_SICK_SEG ( FILE *in, FILE *out,
       SICK_SEG *x, int indent, int nDim, int *dims );
extern int scan_SICK_SEG_PARAMS ( FILE *in, FILE *out,
       SICK_SEG_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_SICK_SEG_HEADER ( FILE *in, FILE *out,
       SICK_SEG_HEADER *x, int indent, int nDim, int *dims );
extern int scan_SICK_SEGS ( FILE *in, FILE *out,
       SICK_SEGS *x, int indent, int nDim, int *dims );
extern int scan_SICK_LONELY_PTS ( FILE *in, FILE *out,
       SICK_LONELY_PTS *x, int indent, int nDim, int *dims );
extern int scan_SICK_STR ( FILE *in, FILE *out,
       SICK_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_SCANPOLAR_POSTER_STR ( FILE *in, FILE *out,
       SICK_SCANPOLAR_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_SCANCART_POSTER_STR ( FILE *in, FILE *out,
       SICK_SCANCART_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_CONFIG_POSTER_STR ( FILE *in, FILE *out,
       SICK_CONFIG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SICK_SEGS_POSTER_STR ( FILE *in, FILE *out,
       SICK_SEGS_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* SICK_SCAN_H */

