
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef sick_TCLSERV_CLIENT_MSG_LIB_H
#define sick_TCLSERV_CLIENT_MSG_LIB_H

#include <server/sickType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int sickTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int sickTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int sickTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SICK_INIT_PARAMS *(in_initParams) 
		);

int sickTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int sickTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SICK_INIT_PARAMS *(in_initParams) ,
				
				int *bilan);

int sickTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SICK_INIT_PARAMS *(in_initParams) ,
					
					int *bilan);




int sickTclservClientSetPosTaggingRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 SICK_STRING *(in_sickPosPosterName)
		);

int sickTclservClientSetPosTaggingReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientSetPosTaggingRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 SICK_STRING *(in_sickPosPosterName) ,
				 
				 int *bilan);




int sickTclservClientSetSickPosOnRobotRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 POM_EULER *(in_sickPosOnRobot)
		);

int sickTclservClientSetSickPosOnRobotReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientSetSickPosOnRobotRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 POM_EULER *(in_sickPosOnRobot) ,
				 
				 int *bilan);




int sickTclservClientInitParamsGetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientInitParamsGetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SICK_INIT_PARAMS *(out_initParams),
			       int *bilan);

int sickTclservClientInitParamsGetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SICK_INIT_PARAMS *(out_initParams),
				 int *bilan);




int sickTclservClientResetRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int sickTclservClientResetReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int sickTclservClientResetRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int sickTclservClientResetRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int sickTclservClientExportDataRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 SICK_EXPORT_DATA *(in_exportData)
		);

int sickTclservClientExportDataReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientExportDataRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 SICK_EXPORT_DATA *(in_exportData) ,
				 
				 int *bilan);




int sickTclservClientExportDataGetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientExportDataGetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SICK_EXPORT_DATA *(out_exportData),
			       int *bilan);

int sickTclservClientExportDataGetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SICK_EXPORT_DATA *(out_exportData),
				 int *bilan);




int sickTclservClientOneShootRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int sickTclservClientOneShootReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int sickTclservClientOneShootRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int sickTclservClientOneShootRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int sickTclservClientContinuousShotRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SICK_SCAN_MODES *(in_scan_mode) 
		);

int sickTclservClientContinuousShotReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int sickTclservClientContinuousShotRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SICK_SCAN_MODES *(in_scan_mode) ,
				
				int *bilan);

int sickTclservClientContinuousShotRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SICK_SCAN_MODES *(in_scan_mode) ,
					
					int *bilan);




int sickTclservClientSickAcqConfigRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SICK_USER_STR *(in_user_config) 
		);

int sickTclservClientSickAcqConfigReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      SICK_CONFIG_STR *(out_sick_config),
			      int *bilan);


int sickTclservClientSickAcqConfigRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SICK_USER_STR *(in_user_config) ,
				SICK_CONFIG_STR *(out_sick_config),
				int *bilan);

int sickTclservClientSickAcqConfigRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SICK_USER_STR *(in_user_config) ,
					SICK_CONFIG_STR *(out_sick_config),
					int *bilan);




int sickTclservClientSickAcqConfigGetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientSickAcqConfigGetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SICK_USER_STR *(out_user_config),
			       int *bilan);

int sickTclservClientSickAcqConfigGetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SICK_USER_STR *(out_user_config),
				 int *bilan);




int sickTclservClientSetSynchroTunningRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_synchroPosTunning)
		);

int sickTclservClientSetSynchroTunningReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientSetSynchroTunningRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_synchroPosTunning) ,
				 
				 int *bilan);




int sickTclservClientGetSynchroTunningRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientGetSynchroTunningReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       int *(out_synchroPosTunning),
			       int *bilan);

int sickTclservClientGetSynchroTunningRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 int *(out_synchroPosTunning),
				 int *bilan);




int sickTclservClientGetSegmentationParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientGetSegmentationParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SICK_SEG_PARAMS *(out_segParams),
			       int *bilan);

int sickTclservClientGetSegmentationParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SICK_SEG_PARAMS *(out_segParams),
				 int *bilan);




int sickTclservClientSetSegmentationParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 SICK_SEG_PARAMS *(in_segParams)
		);

int sickTclservClientSetSegmentationParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientSetSegmentationParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 SICK_SEG_PARAMS *(in_segParams) ,
				 
				 int *bilan);




int sickTclservClientGetSickDataFilesRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientGetSickDataFilesReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       SICK_SAVE_FILE_PARAMS *(out_saveFileParams),
			       int *bilan);

int sickTclservClientGetSickDataFilesRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 SICK_SAVE_FILE_PARAMS *(out_saveFileParams),
				 int *bilan);




int sickTclservClientSaveRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SICK_SAVE_FILE_PARAMS *(in_saveFileParams) 
		);

int sickTclservClientSaveReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int sickTclservClientSaveRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SICK_SAVE_FILE_PARAMS *(in_saveFileParams) ,
				
				int *bilan);

int sickTclservClientSaveRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SICK_SAVE_FILE_PARAMS *(in_saveFileParams) ,
					
					int *bilan);




int sickTclservClientSetSickDataFilesRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 SICK_SAVE_FILE_PARAMS *(in_saveFileParams)
		);

int sickTclservClientSetSickDataFilesReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientSetSickDataFilesRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 SICK_SAVE_FILE_PARAMS *(in_saveFileParams) ,
				 
				 int *bilan);




int sickTclservClientSetEnvFileNameRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GEN_STRING256 *(in_envFileName)
		);

int sickTclservClientSetEnvFileNameReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientSetEnvFileNameRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GEN_STRING256 *(in_envFileName) ,
				 
				 int *bilan);




int sickTclservClientGetEnvFileNameRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientGetEnvFileNameReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GEN_STRING256 *(out_envFileName),
			       int *bilan);

int sickTclservClientGetEnvFileNameRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GEN_STRING256 *(out_envFileName),
				 int *bilan);




int sickTclservClientLogRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_logFileName) 
		);

int sickTclservClientLogReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int sickTclservClientLogRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_logFileName) ,
				
				int *bilan);

int sickTclservClientLogRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_logFileName) ,
					
					int *bilan);




int sickTclservClientStopLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int sickTclservClientStopLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int sickTclservClientStopLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* sickTCLSERV_CLIENT_MSG_LIB_H */

